{
  "schema_version": "1.4.0",
  "id": "GHSA-h6c7-9rqq-5r2p",
  "modified": "2025-04-20T03:33:26Z",
  "published": "2022-05-14T03:07:24Z",
  "aliases": [
    "CVE-2017-6350"
  ],
  "details": "An integer overflow at an unserialize_uep memory allocation site would occur for vim before patch 8.0.0378, if it does not properly validate values for tree length when reading a corrupted undo file, which may lead to resultant buffer overflows.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-6350"
    },
    {
      "type": "WEB",
      "url": "https://github.com/vim/vim/commit/0c8485f0e4931463c0f7986e1ea84a7d79f10c75"
    },
    {
      "type": "WEB",
      "url": "https://groups.google.com/forum/#!topic/vim_dev/L_dOHOOiQ5Q"
    },
    {
      "type": "WEB",
      "url": "https://groups.google.com/forum/#!topic/vim_dev/QPZc0CY9j3Y"
    },
    {
      "type": "WEB",
      "url": "https://groups.google.com/forum/#%21topic/vim_dev/L_dOHOOiQ5Q"
    },
    {
      "type": "WEB",
      "url": "https://groups.google.com/forum/#%21topic/vim_dev/QPZc0CY9j3Y"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201706-26"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/4309-1"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/96448"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1037949"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-02-27T07:59:00Z"
  }
}